/**********************/
/*    fpscommon.h     */
/**********************/

#include <stdio.h>
#include <sys/param.h>

#define LINEBUFFSIZE (1024+128)

extern int PRINT;
extern int KILL;
extern int EXEC;
extern int NICE;
extern int SORT;

#ifdef __STDC__
extern char* look_up_host(int, int, char*);
extern int GetSunHost(int, char*);
extern int fill_host_list(char*);
extern int goto_startnode(char*, char*, int, char**, int);
extern int recurse_list(int, int, char*, char**, char*, int);
#else
extern char* look_up_host();
extern int GetSunHost();
extern int fill_host_list();
extern int goto_startnode();
extern int recurse_list();
#endif

extern char newarg[120][MAXPATHLEN - 64];
extern int newarg_index;

typedef enum 
{
   NONE, OPTION, SWITCH, STRING, LPAREN, RPAREN, NOT, AND, OR 
}TOKEN_CODE;

struct ps_line
{

   char user[9];
   char pid[7];
   char cpu[6];
   char mem[5];
   char sz[8];
   char rss[8];
   char tt[7];
   char stat[5];
   char eng[9];
   char time[8];
   char command[MAXPATHLEN];
};

struct entry
{
   int value;
   TOKEN_CODE command_type;
   char arg[MAXPATHLEN - 64];
   int (*fpointer)();
};

extern struct entry entry_list[10];
extern int STACK[3];
extern int S_INDEX;









